Bug 1231121 - [RFE] Add UsbDk to RHEV 3.6 distribution
Summary: [RFE] Add UsbDk to RHEV 3.6 distribution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Tomas Jelinek
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On: 1202371
Blocks: 1188212 1228275 1264767
TreeView+ depends on / blocked
 
Reported: 2015-06-12 08:19 UTC by Michal Skrivanek
Modified: 2016-03-09 21:07 UTC (History)
18 users (show)

Fixed In Version: ovirt-3.6.0-4
Doc Type: Enhancement
Doc Text:
UsbDk has been added to Red Hat Enterprise Virtualization as a preferred alternative to usbclerk. UsbDk is a filter driver that allows Windows guest virtual machines access to the client USB devices through SPICE client (remote-viewer).
Clone Of: 1202371
Environment:
Last Closed: 2016-03-09 21:07:54 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC

Description Michal Skrivanek 2015-06-12 08:19:08 UTC
add info about UsbDk to Console Client Resources (and update wiki upstream)

verify it is available and can be used as a replacement of usbclerk

Comment 1 sefi litmanovich 2015-11-09 16:11:46 UTC
Was able to verify that the links exist under the vm's console options.
also verified that the usbDk 32 bit driver is working in a 32 bit windows, but the installer of the 64 bit driver isn't working for some reason.
In both cases I used windows guests as clients (with latest 3.6.1 guest tools and virt-viewer)
I think on the RHEVM side we can verify this RFE.
I will open a bug for spice regarding the installer.

Verified with rhevm-3.6.0.3-0.1.el6.noarch.
host: RHEL 7.2 with vdsm-4.17.10.1-0.el7ev.
to test inserted a usb stick to my client (fedora 22 with spice-xpi installed).
This redirects to the windows 7 vms (both 32 and 64).
From the windows 'client' it redirects via usbDk to rhel 7.1 guest.

Comment 3 Michal Skrivanek 2016-01-20 10:42:33 UTC
David, can you please add more details about UsbDk for the release notes?

Comment 4 David Blechter 2016-01-20 11:53:03 UTC
(In reply to Michal Skrivanek from comment #3)
> David, can you please add more details about UsbDk for the release notes?

I was not sure we need it, as USBDK is already covered in the the rhevm 3.6 documentation. And it is not replacement, but alternative to usb-clerk in rhevm 3.6.
In any case we will update the Doc text field

Comment 6 errata-xmlrpc 2016-03-09 21:07:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.